<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.RadioButton?>
<?import javafx.scene.control.Separator?>
<?import javafx.scene.control.TableColumn?>
<?import javafx.scene.control.TableView?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.Pane?>
<?import javafx.scene.text.Font?>

<AnchorPane id="AnchorPane" prefHeight="621.0" prefWidth="735.0" style="-fx-background-color: #FFF5EE;" xmlns="http://javafx.com/javafx/10.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="Controladores.FXMLDocumentController">
    <children>
      <Label layoutX="64.0" layoutY="401.0" prefHeight="36.0" prefWidth="115.0" text="Criar pessoa" textAlignment="CENTER" underline="true">
         <font>
            <Font name="Lucida Sans Demibold" size="17.0" />
         </font></Label>
      <RadioButton fx:id="rbAluno" layoutX="48.0" layoutY="458.0" mnemonicParsing="false" onMouseClicked="#showFormAluno" text="Aluno" />
      <RadioButton fx:id="rbFunc" layoutX="48.0" layoutY="512.0" mnemonicParsing="false" onMouseClicked="#showFormFuncAdm" text="Funcionario Administrativo" />
      <RadioButton fx:id="rbProf" layoutX="48.0" layoutY="574.0" mnemonicParsing="false" onMouseClicked="#showFormProf" text="Professor" />
      <TableView fx:id="tabela" editable="true" onMouseClicked="#showBotao" prefHeight="388.0" prefWidth="735.0" style="-fx-background-color: #9370DB;">
         <columns>
            <TableColumn fx:id="nomeT" prefWidth="75.0" text="Nome" />
            <TableColumn fx:id="idadeT" prefWidth="75.0" text="Idade" />
            <TableColumn fx:id="enderecoT" prefWidth="75.0" text="Endereço" />
            <TableColumn fx:id="funcao2T" prefWidth="75.0" text="Função" />
            <TableColumn fx:id="semestreT" prefWidth="75.0" text="Semestre" />
            <TableColumn fx:id="cursoT" prefWidth="75.0" text="Curso" />
            <TableColumn fx:id="salarioT" prefWidth="75.0" text="Salário" />
            <TableColumn fx:id="disciplinaT" prefWidth="75.0" text="Disciplina" />
            <TableColumn fx:id="setorT" prefWidth="75.0" text="Setor" />
            <TableColumn fx:id="funcaoT" prefWidth="75.0" text="Função" />
         </columns>
         <columnResizePolicy>
            <TableView fx:constant="CONSTRAINED_RESIZE_POLICY" />
         </columnResizePolicy>
      </TableView>
      <Pane fx:id="painel" layoutX="235.0" layoutY="389.0" prefHeight="232.0" prefWidth="236.0" style="-fx-background-color: #9370DB;">
         <children>
            <Label layoutX="35.0" layoutY="17.0" text="Nome">
               <font>
                  <Font name="System Bold Italic" size="12.0" />
               </font>
            </Label>
            <TextField fx:id="txt1" layoutX="71.0" layoutY="13.0" />
            <TextField fx:id="txt2" layoutX="71.0" layoutY="42.0" />
            <Label layoutX="35.0" layoutY="46.0" prefHeight="17.0" prefWidth="34.0" text="Idade">
               <font>
                  <Font name="System Bold Italic" size="12.0" />
               </font>
            </Label>
            <Label layoutX="16.0" layoutY="75.0" text="Endereço">
               <font>
                  <Font name="System Bold Italic" size="12.0" />
               </font></Label>
            <Label fx:id="lblSalario" layoutX="27.0" layoutY="105.0" text="Salário">
               <font>
                  <Font name="System Bold Italic" size="12.0" />
               </font></Label>
            <Label fx:id="lblSemestre" layoutX="16.0" layoutY="105.0" text="Semestre">
               <font>
                  <Font name="System Bold Italic" size="12.0" />
               </font></Label>
            <Label fx:id="lblCurso" layoutX="36.0" layoutY="136.0" text="Curso">
               <font>
                  <Font name="System Bold Italic" size="12.0" />
               </font></Label>
            <Label fx:id="lblSetor" layoutX="38.0" layoutY="136.0" text="Setor">
               <font>
                  <Font name="System Bold Italic" size="12.0" />
               </font></Label>
            <Label fx:id="lblFuncao" layoutX="26.0" layoutY="166.0" text="Função">
               <font>
                  <Font name="System Bold Italic" size="12.0" />
               </font></Label>
            <Label fx:id="lblDisciplina" layoutX="13.0" layoutY="136.0" text="Disciplina">
               <font>
                  <Font name="System Bold Italic" size="12.0" />
               </font>
            </Label>
            <TextField fx:id="txt3" layoutX="71.0" layoutY="71.0" />
            <Button fx:id="enviar1" layoutX="92.0" layoutY="199.0" mnemonicParsing="false" onMouseClicked="#criar" prefHeight="0.0" prefWidth="52.0" style="-fx-background-color: white;" text="Enviar">
               <font>
                  <Font name="System Bold" size="11.0" />
               </font></Button>
            <TextField fx:id="txt4" layoutX="71.0" layoutY="101.0" />
            <TextField fx:id="txt5" layoutX="71.0" layoutY="132.0" />
            <TextField fx:id="txt6" layoutX="71.0" layoutY="162.0" />
            <Button fx:id="enviar2" layoutX="92.0" layoutY="199.0" mnemonicParsing="false" onMouseClicked="#atualizar2" prefHeight="0.0" prefWidth="52.0" style="-fx-background-color: white;" text="Enviar">
               <font>
                  <Font name="System Bold" size="11.0" />
               </font>
            </Button>
         </children></Pane>
      <Button fx:id="botDel" layoutX="574.0" layoutY="508.0" mnemonicParsing="false" onAction="#deletar" text="Deletar" />
      <Label layoutX="537.0" layoutY="479.0" text="Deletar pessoa" textAlignment="CENTER" underline="true">
         <font>
            <Font name="Lucida Sans Demibold" size="17.0" />
         </font>
      </Label>
      <Label layoutX="530.0" layoutY="401.0" text="Detalhar pessoa" textAlignment="CENTER" underline="true">
         <font>
            <Font name="Lucida Sans Demibold" size="17.0" />
         </font>
      </Label>
      <Separator layoutX="471.0" layoutY="465.0" prefHeight="3.0" prefWidth="260.0" style="-fx-background-color: black;" />
      <Separator layoutY="387.0" prefHeight="3.0" prefWidth="732.0" style="-fx-background-color: black;" />
      <Button fx:id="botaoDet" layoutX="572.0" layoutY="433.0" mnemonicParsing="false" onAction="#detalhar" text="Detalhar" />
      <Separator layoutX="7.0" layoutY="489.0" prefHeight="3.0" prefWidth="228.0" style="-fx-background-color: black;" />
      <Separator layoutX="7.0" layoutY="551.0" prefHeight="3.0" prefWidth="228.0" style="-fx-background-color: black;" />
      <Separator layoutX="473.0" layoutY="539.0" prefHeight="3.0" prefWidth="260.0" style="-fx-background-color: black;" />
      <Label layoutX="541.0" layoutY="552.0" text="Atualizar pessoa" textAlignment="CENTER" underline="true">
         <font>
            <Font name="Lucida Sans Demibold" size="17.0" />
         </font>
      </Label>
      <Button fx:id="botAtua" layoutX="572.0" layoutY="583.0" mnemonicParsing="false" onAction="#atualizar" text="Atualizar" />
    </children>
</AnchorPane>
